@charset "utf-8";

body {
  font-size: 12px;
  font-family: "Noto Sans TC";
  overflow-x: hidden;
}

.guide_index main {
  width: 100%;
  margin-inline: auto;
  background-image: url(../images/pvp_comm/bg-pattern.png);
  color: #404040;
  position: relative;
}

:root {
  --FontSize-txt-vision: 20px;
  --FontSize-txt-lead: 14px;
  --FontSize-ttl-content: 23px;
  --nav-transition: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

@media (max-width:1250px) {

  :root {

    --FontSize-txt-lead: min(1.57vw, 14px);

  }
}


@media (max-width:900px) {

  :root {
    --FontSize-ttl-content: min(5.1vw, 24px);
    --FontSize-txt-vision: min(3vw, 22px);
    --FontSize-txt-lead: min(1.8vw, 16px);
  }
}

@media (max-width:760px) {

  :root {
    --FontSize-ttl-content: min(5.35vw, 26px);
    --FontSize-txt-vision: min(3.38vw, 20px);
    --FontSize-txt-lead: min(3.2vw, 17px);
  }
}

/* vision 版頭視覺 */
section.vision-header {
  width: 100%;
  position: relative;
}

.bg-vision {
  width: 100%;
  height: 398px;
  background: url(../images/pvp_index/bg-vision.jpg) no-repeat center top;
  position: relative;
}

h1.ttl-vision {
  width: 100%;
  height: 90px;
  color: rgba(0, 0, 0, 0);
  text-shadow: none;
  text-indent: -9999px;
  line-height: 0;
  font-size: 0;
  background: url(../images/pvp_comm/ttl-vision.png) no-repeat center top /auto 100%;
  position: absolute;
  left: 0;
  bottom: 0;
}

.txt-vision {
  padding-block: 8px;
  font-size: var(--FontSize-txt-vision);
  line-height: 1;
  font-weight: bold;
  color: #fff;
  text-align: center;
  background-color: #800000;
}

.txt-vision span.con {
  width: 100%;
  max-width: 960px;
  margin-inline: auto;
  display: block;
}

section.main {
  padding: 16px 0 72px;
}

.txt-lead {
  font-size: var(--FontSize-txt-lead);
  line-height: 1.7;
  color: #585858;
  margin-inline: auto;
  margin-bottom: 32px;
}

section.main .content {
  width: 100%;
  max-width: 880px;
  margin-inline: auto;
}

h2[class*="ttl-content0"] {
  width: 100%;
  height: 59px;
  aspect-ratio: 640 / 120;
  margin-top: 28px;
  margin-bottom: 5px;
  background: url(../images/pvp_comm/ttl-content_bg.png) no-repeat left center / auto 100%;
  display: flex;
  align-items: center;
}

h2[class*="ttl-content0"] .txt {
  padding-left: 42px;
  padding-bottom: 9px;
  font-size: var(--FontSize-ttl-content);
  font-weight: bold;
  line-height: 1;
  text-align: left;
  font-style: italic;
  color: #73452e;
  text-shadow: 0px 1px 4px #fff;
}

ul.menu-list {
  width: 100%;
  margin-inline: auto;
  text-align: left;
  font-size: 0;
  --margin-right: 14px;
}

li.btn-image {
  width: calc((100% - (var(--margin-right) * 1)) / 2);
  max-width: 592px;
  aspect-ratio: 592 / 182;
  margin-bottom: 14px;
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center center;
  display: inline-block;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
}

ul.menu-list li.btn-image:nth-of-type(odd) {
  margin-right: var(--margin-right);
}

li.btn-image::before {
  content: "";
  background-repeat: no-repeat;
  background-size: 100% auto;
  background-position: center center;
  opacity: 0;
  transition: opacity 0.5s;
  position: absolute;
  inset: 0;
}

li.btn-image:hover::before {
  opacity: 1;
}

ul.menu-list .btn-image01_1 {
  background-image: url(../images/pvp_index/btn-image01_1.png);
}

ul.menu-list .btn-image01_1::before {
  background-image: url(../images/pvp_index/btn-image01_1_ov.png);
}

ul.menu-list .btn-image01_2 {
  background-image: url(../images/pvp_index/btn-image01_2.png);
}

ul.menu-list .btn-image01_2::before {
  background-image: url(../images/pvp_index/btn-image01_2_ov.png);
}

ul.menu-list .btn-image02_1 {
  background-image: url(../images/pvp_index/btn-image02_1.png);
}

ul.menu-list .btn-image02_1::before {
  background-image: url(../images/pvp_index/btn-image02_1_ov.png);
}

ul.menu-list .btn-image02_2 {
  background-image: url(../images/pvp_index/btn-image02_2.png);
}

ul.menu-list .btn-image02_2::before {
  background-image: url(../images/pvp_index/btn-image02_2_ov.png);
}

ul.menu-list .btn-image02_3 {
  background-image: url(../images/pvp_index/btn-image02_3.png);
}

ul.menu-list .btn-image02_3::before {
  background-image: url(../images/pvp_index/btn-image02_3_ov.png);
}


ul.menu-list .btn-image02_4 {
  background-image: url(../images/pvp_index/btn-image02_4.png);
}

ul.menu-list .btn-image02_4::before {
  background-image: url(../images/pvp_index/btn-image02_4_ov.png);
}


ul.menu-list .btn-image03_1 {
  background-image: url(../images/pvp_index/btn-image03_1.png);
}

ul.menu-list .btn-image03_1::before {
  background-image: url(../images/pvp_index/btn-image03_1_ov.png);
}


ul.menu-list .btn-image03_2 {
  background-image: url(../images/pvp_index/btn-image03_2.png);
}

ul.menu-list .btn-image03_2::before {
  background-image: url(../images/pvp_index/btn-image03_2_ov.png);
}




/*-------------  ↓ coming_soon 敬請期待 ↓-----------*/

.guide_index p a:hover {
  text-decoration: none;
}

.guide_index .coming_soon {
  position: relative;
  cursor: default;
  /* 滑鼠樣式變回一般（可選） */

}

.guide_index .coming_soon a {
  pointer-events: none;
  /* 停用點擊事件 */
}

.guide_index .coming_soon::after {
  content: "敬請期待";
  color: #fff;
  position: absolute;
  z-index: 10;
  font-weight: 500;
  letter-spacing: 0.2rem;
  width: 100%;
  height: 100%;
  background: rgba(134, 134, 134, 0.842);
  top: 0;
  left: 0;
  text-shadow:
    0px 0px 3px rgba(60, 60, 60, 0.8),
    /* 第一層：較小、較淺 */
    0px 0px 15px rgb(66, 66, 66);
  /* 第二層：較大、較深 */
  display: flex;
  justify-content: center;
  align-items: center;
  transition: var(--nav-transition);
  opacity: 0;
  font-size: clamp(1.1rem, 1.3vw, 1.3rem);
  /* border-radius: var(--border-radius-pic); */
  border-radius: inherit;
}

@media(hover) {
  .guide_index .button:hover {
    filter: brightness(1.1);
  }

  /* .coming_soon a:hover{
    cursor:none;
    } */
  .guide_index .coming_soon:hover::after {
    opacity: 1;
  }

  .guide_index .coming_soon:hover {
    opacity: .7;
  }
}

@media (max-width:768px) {
  .guide_index .coming_soon::after {
    opacity: 1;
  }
}

@media (hover: none) {
  .guide_index .coming_soon::after {
    opacity: 1;
  }
}

/*-------------  ↑ coming_soon 敬請期待  ↑-----------*/





@media (max-width:1250px) {

  /* vision 版頭視覺 */
  .bg-vision {
    height: 39vw;
    max-height: 398px;
    background: url(../images/pvp_index/bg-vision.jpg) no-repeat center top / auto 100%;
  }

  h1.ttl-vision {
    height: 9.3vw;
    max-height: 90px;
    background: url(../images/pvp_comm/ttl-vision.png) no-repeat center top / auto 100%;
  }

  section.main {
    padding: min(10vw, 16px) 0 min(15vw, 72px);
  }

  section.main .content {
    width: 94%;
  }

  ul.menu-list {
    --margin-right: min(1.4vw, 14px);
  }

}

@media (max-width:900px) {

  .txt-vision {
    padding-block: min(1.35vw, 8px);
  }

}

@media (max-width:760px) {

  .txt-lead {
    margin-bottom: min(5vw, 32px);
  }

  h2[class*="ttl-content0"] {
    width: 100%;
    max-width: none;
    height: auto;
    max-height: none;
    margin-inline: auto;
    margin-top: min(5vw, 8px);
    margin-bottom: min(1vw, 5px);
    background: url(../images/pvp_comm/ttl-content_bg.png) no-repeat center center;
    background-size: min(68vw, 350px) auto;
    justify-content: center;
  }

  h2[class*="ttl-content0"] .txt {
    padding-left: 0;
    font-size: var(--FontSize-ttl-content);
    text-align: center;
  }



}